Delege Gruplarını Getir
cookie ile belirtilen hesabın üye olduğu tüm delege gruplarını listeler. Her grup, adına işlem yaptığı hesapla tanımlanır: user_id, screen_name, name, avatar ve role (Owner, Admin veya Contributor). Hesabın kendi grubu role Owner ile dahil edilir. TwexAPI Bearer anahtarı ve hesabın yetkili X Cookie’si veya auth_token’ı gerekir.
API Belgelerine Dön
/Delegate Endpoints
POST
/twitter/delegate/groupsAPI Yetkilendirmesi
AuthorizationBearer token · headerzorunluTwexAPI genel Bearer Token kimlik bilgisi. İstek başlığı: Authorization: Bearer <YOUR_TWEXAPI_KEY>.
İstek Gövdesi
zorunluapplication/jsoncookiestringzorunluAuthorized X session cookie or auth_token for the account the call acts for. Required in addition to the TwexAPI Bearer key.
min length 1
proxystring | anyÖzellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyYanıtlar
200Success
codeintegerzorunlumsgstringzorunludataDelegateAccount[]zorunluÖzellikleri gösterÖzellikleri gizle
Array of
DelegateAccountuser_idstringzorunluscreen_namestringzorunlunamestringzorunluavatarstring | anyzorunluProfile image URL.
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
anyrolestring | anyzorunluOwner, Admin or Contributor.
Özellikleri gösterÖzellikleri gizle
Any of:
string
stringany
any403Authentication or credit access denied
codeintegerzorunlumsgstringzorunludataany[] | anyzorunluÖzellikleri gösterÖzellikleri gizle
Any of:
any[]
Array of
anyanyany
any422Invalid request
codeintegerzorunlumsgstringzorunludataany[] | anyzorunluÖzellikleri gösterÖzellikleri gizle
Any of:
any[]
Array of
anyanyany
any500Upstream or server error
codeintegerzorunlumsgstringzorunludataany[] | anyzorunluÖzellikleri gösterÖzellikleri gizle
Any of:
any[]
Array of
anyanyany
any⚡Etkileşimli KonsolPOST
⚡Etkileşimli Konsol / API TestiPOSTLive Console
🌐Hedef Sunucu:
https://api.twexapi.io● Canlı Ortam Hazır
✍️
Yazma İşlemi Kimlik Kılavuzu (TwexAPI Anahtarı + Twitter Çerezi)
1. TwexAPI Anahtarı (Bearer Token): İstek faturalandırması ve kimlik doğrulama için aşağıdaki "API Yetkilendirmesi"ne girin.
2. Twitter Hesabı Çerezi: Yazma işlemleri için (tweet, beğeni, takip), aşağıdaki cookie alanına hedef hesabın Çerezini (örn. auth_token=...; ct0=...) girin.
🔑API Yetkilendirmesi
📝İstek Gövdesiapplication/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
İstek
curl -X POST "https://api.twexapi.io/twitter/delegate/groups" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"cookie": "YOUR_X_COOKIE_OR_AUTH_TOKEN"
}'const response = await fetch("https://api.twexapi.io/twitter/delegate/groups", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"cookie": "YOUR_X_COOKIE_OR_AUTH_TOKEN"
})
});import requests
response = requests.post(
"https://api.twexapi.io/twitter/delegate/groups",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"cookie": "YOUR_X_COOKIE_OR_AUTH_TOKEN"
},
)Yanıt
{
"code": 200,
"msg": "success",
"data": [
{
"user_id": "1234567890123456788",
"screen_name": "example_owner",
"name": "Example Owner",
"avatar": "https://pbs.twimg.com/profile_images/owner_normal.jpg",
"role": "Owner"
},
{
"user_id": "1234567890123456789",
"screen_name": "example_brand",
"name": "Example Brand",
"avatar": "https://pbs.twimg.com/profile_images/brand_normal.jpg",
"role": "Contributor"
}
]
}{
"code": 403,
"msg": "Authentication or credit access denied",
"data": []
}{
"code": 422,
"msg": "Invalid request",
"data": []
}{
"code": 500,
"msg": "Upstream or server error",
"data": []
}